package es.uca.xmleye.tipos;

/*
 Copyright (C) 2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

/**
 * Excepción durante el manejo de un tipo de documento aceptado.
 */
public class ExcepcionTipo extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = -9025734900427543039L;

	public ExcepcionTipo(Throwable e) {
		super(e);
	}

	public ExcepcionTipo(String msg, Throwable e) {
		super(msg, e);
	}

	public ExcepcionTipo(String msg) {
		super(msg);
	}
}
