package es.uca.xmleye.gui.l10n;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.util.*;
import java.awt.event.*;

/**
 * Información de local por defecto (es_ES) para
 * {@link es.uca.xmleye.gui.VentanaBusqueda}.
 */
public class ResVentanaBuscar extends ListResourceBundle {
	public Object[][] getContents() {
		return contenido;
	}

	private static Object[][] contenido = {
			{ "wnd_find", "Buscar - XMLEye" },

			{ "lbl_find", "Buscar:" },
			{ "lbl_find_m", new Character('B') },

			{ "chk_wholestring", "Cadena completa" },
			{ "chk_wholestring_m", new Integer(KeyEvent.VK_P) },

			{ "chk_matchcase", "Coincidir mayúsculas/minúsculas" },
			{ "chk_matchcase_m", new Integer(KeyEvent.VK_M) },

			{ "rad_fromcursor", "Desde selección" },
			{ "rad_fromcursor_m", new Integer(KeyEvent.VK_D) },

			{ "rad_fromroot", "Desde raíz" },
			{ "rad_fromroot_m", new Integer(KeyEvent.VK_R) },

			{ "rad_uptocursor", "Hasta selección" },
			{ "rad_uptocursor_m", new Integer(KeyEvent.VK_H) },

			/* No tienen mnemónicos - son los botones por defecto y de cancelar */
			{ "act_find", "Buscar" },
			{ "act_find_d",
					"Busca la cadena a lo largo del árbol del documento." },

			{ "act_close", "Cerrar" }, { "act_close_d", "Cierra la ventana." },

			/* Otros mensajes */

			{ "err_scope_not_exist", "Alcance no válido." },
			{ "err_searchkey_notfound", "Se necesita una clave de búsqueda." }, };
}
